"use strict";function readCharset(aStream,aCharstrings){var charset={};var format=aStream.getByte();var count=aCharstrings.length-1;var i,sid;if(format===0){charset[".notdef"]=readCharstringEncoding(aCharstrings[0]);for(i=1;i<count+1;i++){sid=aStream.getByte()<<8|aStream.getByte();charset[CFFStrings[sid]]=readCharstringEncoding(aCharstrings[i])}}else if(format===1){for(i=1;i<count+1;i++){var first=aStream.getByte();first=first<<8|aStream.getByte();var numLeft=aStream.getByte();for(var j=0;j<=numLeft;j++){sid=first++;charset[CFFStrings[sid]]=readCharstringEncoding(aCharstrings[j])}}}else{error("Invalid charset format")}return charset}function readCharstringEncoding(aString){if(!aString){return""}var charstringTokens=[];var count=aString.length;for(var i=0;i<count;){var value=aString[i++]|0;var token=null;if(value<0){continue}else if(value<=11){token=CFFEncodingMap[value]}else if(value===12){token=CFFEncodingMap[value][aString[i++]]}else if(value<=18){token=CFFEncodingMap[value]}else if(value<=20){++i;token=CFFEncodingMap[value]}else if(value<=27){token=CFFEncodingMap[value]}else if(value===28){token=aString[i++]<<8|aString[i++]}else if(value<=31){token=CFFEncodingMap[value]}else if(value<247){token=parseInt(value,10)-139}else if(value<251){token=(value-247)*256+aString[i++]+108}else if(value<255){token=-(value-251)*256-aString[i++]-108}else{token=aString[i++]<<24|aString[i++]<<16|aString[i++]<<8|aString[i]}charstringTokens.push(token)}return charstringTokens}function readFontDictData(aString,aMap){var fontDictDataTokens=[];var count=aString.length;for(var i=0;i<count;i){var value=aString[i++]|0;var token=null;if(value===12){token=aMap[value][aString[i++]]}else if(value===28){token=aString[i++]<<8|aString[i++]}else if(value===29){token=aString[i++]<<24|aString[i++]<<16|aString[i++]<<8|aString[i++]}else if(value===30){token="";var parsed=false;while(!parsed){var octet=aString[i++];var nibbles=[parseInt(octet/16,10),parseInt(octet%16,10)];for(var j=0;j<nibbles.length;j++){var nibble=nibbles[j];switch(nibble){case 10:token+=".";break;case 11:token+="E";break;case 12:token+="E-";break;case 13:break;case 14:token+="-";break;case 15:parsed=true;break;default:token+=nibble;break}}}token=parseFloat(token)}else if(value<=31){token=aMap[value]}else if(value<=246){token=parseInt(value,10)-139}else if(value<=250){token=(value-247)*256+aString[i++]+108}else if(value<=254){token=-(value-251)*256-aString[i++]-108}else if(value===255){error("255 is not a valid DICT command")}fontDictDataTokens.push(token)}return fontDictDataTokens}function readFontIndexData(aStream,aIsByte){var count=aStream.getByte()<<8|aStream.getByte();var offsize=aStream.getByte();function getNextOffset(){switch(offsize){case 0:return 0;case 1:return aStream.getByte();case 2:return aStream.getByte()<<8|aStream.getByte();case 3:return aStream.getByte()<<16|aStream.getByte()<<8|aStream.getByte();case 4:return aStream.getByte()<<24|aStream.getByte()<<16|aStream.getByte()<<8|aStream.getByte()}error(offsize+" is not a valid offset size");return null}var offsets=[];var i;for(i=0;i<count+1;i++){offsets.push(getNextOffset())}dump("Found "+count+" objects at offsets :"+offsets+" (offsize: "+offsize+")");var relativeOffset=aStream.pos;var objects=[];for(i=0;i<count;i++){var offset=offsets[i];aStream.pos=relativeOffset+offset-1;var data=[];var length=offsets[i+1]-1;for(var j=offset-1;j<length;j++){data.push(aIsByte?aStream.getByte():aStream.getChar())}objects.push(data)}return objects}var Type2Parser=function type2Parser(aFilePath){var font=new Dict(null);var xhr=new XMLHttpRequest;xhr.open("GET",aFilePath,false);xhr.responseType="arraybuffer";xhr.expected=document.URL.indexOf("file:")===0?0:200;xhr.send(null);this.data=new Stream(xhr.response);var debug=false;function dump(aStr){if(debug){console.log(aStr)}}function parseAsToken(aString,aMap){var decoded=readFontDictData(aString,aMap);var stack=[];var count=decoded.length;for(var i=0;i<count;i++){var token=decoded[i];if(isNum(token)){stack.push(token)}else{switch(token.operand){case"SID":font.set(token.name,CFFStrings[stack.pop()]);break;case"number number":font.set(token.name,{offset:stack.pop(),size:stack.pop()});break;case"boolean":font.set(token.name,stack.pop());break;case"delta":font.set(token.name,stack.pop());break;default:if(token.operand&&token.operand.length){var array=[];for(var j=0;j<token.operand.length;j++){array.push(stack.pop())}font.set(token.name,array)}else{font.set(token.name,stack.pop())}break}}}}this.parse=function type2ParserParse(aStream){font.set("major",aStream.getByte());font.set("minor",aStream.getByte());font.set("hdrSize",aStream.getByte());font.set("offsize",aStream.getByte());dump("Reading Index: Names");font.set("Names",readFontIndexData(aStream));dump("Names: "+font.get("Names"));dump("Reading Index: TopDict");var topDict=readFontIndexData(aStream,true);dump("TopDict: "+topDict);dump("Reading Index: Strings");var strings=readFontIndexData(aStream);dump("strings: "+strings);var i;for(i=0;i<strings.length;i++){CFFStrings.push(strings[i].join(""))}var count=topDict.length;for(i=0;i<count;i++){parseAsToken(topDict[i],CFFDictDataMap)}dump("Reading Global Subr Index");var subrs=readFontIndexData(aStream,true);dump(subrs);var priv=font.get("Private");dump("Reading Private Dict (offset: "+priv.offset+" size: "+priv.size+")");aStream.pos=priv.offset;var privateDict=[];for(i=0;i<priv.size;i++){privateDict.push(aStream.getByte())}dump("privateData:"+privateDict);parseAsToken(privateDict,CFFDictPrivateDataMap);for(var p in font.map){dump(p+"::"+font.get(p))}var charStringsOffset=font.get("CharStrings");dump("Read CharStrings Index (offset: "+charStringsOffset+")");aStream.pos=charStringsOffset;var charStrings=readFontIndexData(aStream,true);dump("Read Charset for "+charStrings.length+" glyphs");var charsetEntry=font.get("charset");if(charsetEntry===0){error("Need to support CFFISOAdobeCharset")}else if(charsetEntry===1){error("Need to support CFFExpert")}else if(charsetEntry===2){error("Need to support CFFExpertSubsetCharset")}else{aStream.pos=charsetEntry;readCharset(aStream,charStrings)}}};function writeToFile(aBytes,aFilePath){if(!("netscape"in window)){return}netscape.security.PrivilegeManager.enablePrivilege("UniversalXPConnect");var Cc=Components.classes,Ci=Components.interfaces;var file=Cc["@mozilla.org/file/local;1"].createInstance(Ci.nsILocalFile);file.initWithPath(aFilePath);var stream=Cc["@mozilla.org/network/file-output-stream;1"].createInstance(Ci.nsIFileOutputStream);stream.init(file,4|8|32,384,0);var bos=Cc["@mozilla.org/binaryoutputstream;1"].createInstance(Ci.nsIBinaryOutputStream);bos.setOutputStream(stream);bos.writeByteArray(aBytes,aBytes.length);stream.close()}